Skip to content

Get all categories

GET
/benefits/categories
curl --request GET \
--url 'https://api.ethos.network/api/v2/benefits/categories?activeOnly=false'
activeOnly
boolean

Successful response

Media typeapplication/json
Array<object>
object
id
required
number
name
required
string
displayName
required
string
sortOrder
required
number
isActive
required
boolean
createdAt
required
string
updatedAt
required
string

Example generated

[
{
"id": 1,
"name": "example",
"displayName": "example",
"sortOrder": 1,
"isActive": true,
"createdAt": "example",
"updatedAt": "example"
}
]

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}